Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Table

    java.lang.Object
      |
      +--org.hsqldb.Table

class Table
extends java.lang.Object

Class declaration

Field Summary
`(package private) Cache` | `cCache`
`(package private) java.util.Vector[]` | `vTrigs`

Constructor Summary
`(package private)` | `Table(Database db, boolean log, java.lang.String name, boolean cached)` Constructor declaration

Method Summary
`(package private) void` | `addColumn(Column c)` Method declaration
`(package private) void` | `addColumn(java.lang.String name, int type)` Method declaration
`(package private) void` | `addColumn(java.lang.String name, int type, boolean nullable, boolean identity)` Method declaration
`(package private) void` | `addColumns(Result result)` Method declaration
`(package private) void` | `addConstraint(Constraint c)` Method declaration
`(package private) void` | `addTrigger(TriggerDef trigDef)` Method declaration
`(package private) void` | `checkDropIndex(java.lang.String index)` Method declaration
`(package private) void` | `checkUpdate(int[] col, Result deleted, Result inserted)` Method declaration
`(package private) void` | `createIndex(Index index)` Method declaration
`(package private) void` | `createIndex(int[] column, java.lang.String name, boolean unique)` Method declaration
`(package private) void` | `createPrimaryKey()` Method declaration
`(package private) void` | `createPrimaryKey(int column)` Method declaration
`(package private) void` | `delete(java.lang.Object[] row, Channel c)` Method declaration
`(package private) void` | `deleteNoCheck(java.lang.Object[] row, Channel c)` Method declaration
`(package private) void` | `deleteNoCheck(java.lang.Object[] row, Channel c, boolean log)` Method declaration
`(package private) void` | `fireAll(int trigVecIndx)` Method declaration
`(package private) void` | `fireAll(int trigVecIndx, java.lang.Object[] row)` Method declaration
`(package private) Column` | `getColumn(int i)` Method declaration
`(package private) int` | `getColumnCount()` Method declaration
`(package private) boolean` | `getColumnIsNullable(int i)` Method declaration
`(package private) java.lang.String` | `getColumnName(int i)` Method declaration
`(package private) int` | `getColumnNr(java.lang.String c)` Method declaration
`(package private) int` | `getColumnType(int i)` Method declaration
`(package private) java.util.Vector` | `getConstraints()` Method declaration
`(package private) int` | `getIdentityColumn()` Method declaration
`(package private) Index` | `getIndex(java.lang.String s)` Method declaration
`(package private) int` | `getIndexCount()` Method declaration
`(package private) Index` | `getIndexForColumn(int column)` Method declaration
`(package private) Index` | `getIndexForColumns(int[] col)` Method declaration
`(package private) java.lang.String` | `getIndexRoots()` Method declaration
`(package private) java.lang.String` | `getInsertStatement(java.lang.Object[] row)` Method declaration
`(package private) int` | `getInternalColumnCount()` Method declaration
`(package private) java.lang.String` | `getName()` Method declaration
`(package private) java.lang.Object[]` | `getNewRow()` Method declaration
`(package private) Index` | `getNextIndex(Index index)` Method declaration
`(package private) Index` | `getPrimaryIndex()` Method declaration
`(package private) int` | `getType(int i)` Method declaration
`(package private) void` | `insert(java.lang.Object[] row, Channel c)` Method declaration
`(package private) void` | `insert(Result result, Channel c)` Method declaration
`(package private) void` | `insertNoCheck(java.lang.Object[] row, Channel c)` Method declaration
`(package private) void` | `insertNoCheck(java.lang.Object[] row, Channel c, boolean log)` Method declaration
`(package private) boolean` | `isCached()` Method declaration
`(package private) boolean` | `isEmpty()` Method declaration
`(package private) void` | `moveData(Table from)` Method declaration
`(package private) Table` | `moveDefinition(java.lang.String withoutindex)` Method declaration
`(package private) int` | `searchColumn(java.lang.String c)` Method declaration
`(package private) void` | `setIndexRoots(java.lang.String s)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cCache

    Cache cCache

### vTrigs

    java.util.Vector[] vTrigs

Constructor Detail

### Table

    Table(Database db,
          boolean log,
          java.lang.String name,
          boolean cached)

  Constructor declaration
  Parameters:
    `db` -
    `log` -
    `name` -
    `cached` -

Method Detail

### addConstraint

    void addConstraint(Constraint c)

  Method declaration
  Parameters:
    `c` -

### getConstraints

    java.util.Vector getConstraints()

  Method declaration
  Returns:

### addColumn

    void addColumn(java.lang.String name,
                   int type)
             throws java.sql.SQLException

  Method declaration
  Parameters:
    `name` -
    `type` -
  Throws:
    java.sql.SQLException -

### addColumn

    void addColumn(Column c)
             throws java.sql.SQLException

  Method declaration
  Parameters:
    `c` -
  Throws:
    java.sql.SQLException -

### addColumn

    void addColumn(java.lang.String name,
                   int type,
                   boolean nullable,
                   boolean identity)
             throws java.sql.SQLException

  Method declaration
  Parameters:
    `name` -
    `type` -
    `nullable` -
    `identity` -
  Throws:
    java.sql.SQLException -

### addColumns

    void addColumns(Result result)
              throws java.sql.SQLException

  Method declaration
  Parameters:
    `result` -
  Throws:
    java.sql.SQLException -

### getName

    java.lang.String getName()

  Method declaration
  Returns:

### getInternalColumnCount

    int getInternalColumnCount()

  Method declaration
  Returns:

### moveDefinition

    Table moveDefinition(java.lang.String withoutindex)
                   throws java.sql.SQLException

  Method declaration
  Parameters:
    `withoutindex` -
  Returns:
  Throws:
    java.sql.SQLException -

### getColumnCount

    int getColumnCount()

  Method declaration
  Returns:

### getIndexCount

    int getIndexCount()

  Method declaration
  Returns:

### getIdentityColumn

    int getIdentityColumn()

  Method declaration
  Returns:

### getColumnNr

    int getColumnNr(java.lang.String c)
              throws java.sql.SQLException

  Method declaration
  Parameters:
    `c` -
  Returns:
  Throws:
    java.sql.SQLException -

### searchColumn

    int searchColumn(java.lang.String c)

  Method declaration
  Parameters:
    `c` -
  Returns:

### getColumnName

    java.lang.String getColumnName(int i)

  Method declaration
  Parameters:
    `i` -
  Returns:

### getColumnType

    int getColumnType(int i)

  Method declaration
  Parameters:
    `i` -
  Returns:

### getColumnIsNullable

    boolean getColumnIsNullable(int i)

  Method declaration
  Parameters:
    `i` -
  Returns:

### getPrimaryIndex

    Index getPrimaryIndex()
                    throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### getIndexForColumn

    Index getIndexForColumn(int column)
                      throws java.sql.SQLException

  Method declaration
  Parameters:
    `column` -
  Returns:
  Throws:
    java.sql.SQLException -

### getIndexForColumns

    Index getIndexForColumns(int[] col)
                       throws java.sql.SQLException

  Method declaration
  Parameters:
    `col` -
  Returns:
  Throws:
    java.sql.SQLException -

### getIndexRoots

    java.lang.String getIndexRoots()
                             throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### setIndexRoots

    void setIndexRoots(java.lang.String s)
                 throws java.sql.SQLException

  Method declaration
  Parameters:
    `s` -
  Throws:
    java.sql.SQLException -

### getNextIndex

    Index getNextIndex(Index index)

  Method declaration
  Parameters:
    `index` -
  Returns:

### getType

    int getType(int i)

  Method declaration
  Parameters:
    `i` -
  Returns:

### createPrimaryKey

    void createPrimaryKey(int column)
                    throws java.sql.SQLException

  Method declaration
  Parameters:
    `column` -
  Throws:
    java.sql.SQLException -

### createPrimaryKey

    void createPrimaryKey()
                    throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### createIndex

    void createIndex(Index index)
               throws java.sql.SQLException

  Method declaration
  Parameters:
    `index` -
  Throws:
    java.sql.SQLException -

### createIndex

    void createIndex(int[] column,
                     java.lang.String name,
                     boolean unique)
               throws java.sql.SQLException

  Method declaration
  Parameters:
    `column` -
    `name` -
    `unique` -
  Throws:
    java.sql.SQLException -

### checkDropIndex

    void checkDropIndex(java.lang.String index)
                  throws java.sql.SQLException

  Method declaration
  Parameters:
    `index` -
  Throws:
    java.sql.SQLException -

### isEmpty

    boolean isEmpty()

  Method declaration
  Returns:

### getNewRow

    java.lang.Object[] getNewRow()

  Method declaration
  Returns:

### moveData

    void moveData(Table from)
            throws java.sql.SQLException

  Method declaration
  Parameters:
    `from` -
  Throws:
    java.sql.SQLException -

### checkUpdate

    void checkUpdate(int[] col,
                     Result deleted,
                     Result inserted)
               throws java.sql.SQLException

  Method declaration
  Parameters:
    `col` -
    `deleted` -
    `inserted` -
  Throws:
    java.sql.SQLException -

### insert

    void insert(Result result,
                Channel c)
          throws java.sql.SQLException

  Method declaration
  Parameters:
    `result` -
    `c` -
  Throws:
    java.sql.SQLException -

### insert

    void insert(java.lang.Object[] row,
                Channel c)
          throws java.sql.SQLException

  Method declaration
  Parameters:
    `row` -
    `c` -
  Throws:
    java.sql.SQLException -

### insertNoCheck

    void insertNoCheck(java.lang.Object[] row,
                       Channel c)
                 throws java.sql.SQLException

  Method declaration
  Parameters:
    `row` -
    `c` -
  Throws:
    java.sql.SQLException -

### insertNoCheck

    void insertNoCheck(java.lang.Object[] row,
                       Channel c,
                       boolean log)
                 throws java.sql.SQLException

  Method declaration
  Parameters:
    `row` -
    `c` -
    `log` -
  Throws:
    java.sql.SQLException -

### fireAll

    void fireAll(int trigVecIndx,
                 java.lang.Object[] row)

  Method declaration
  Parameters:
    `trigVecIndx` -
    `row` -

### fireAll

    void fireAll(int trigVecIndx)

  Method declaration
  Parameters:
    `trigVecIndx` -

### addTrigger

    void addTrigger(TriggerDef trigDef)

  Method declaration
  Parameters:
    `trigDef` -

### delete

    void delete(java.lang.Object[] row,
                Channel c)
          throws java.sql.SQLException

  Method declaration
  Parameters:
    `row` -
    `c` -
  Throws:
    java.sql.SQLException -

### deleteNoCheck

    void deleteNoCheck(java.lang.Object[] row,
                       Channel c)
                 throws java.sql.SQLException

  Method declaration
  Parameters:
    `row` -
    `c` -
  Throws:
    java.sql.SQLException -

### deleteNoCheck

    void deleteNoCheck(java.lang.Object[] row,
                       Channel c,
                       boolean log)
                 throws java.sql.SQLException

  Method declaration
  Parameters:
    `row` -
    `c` -
    `log` -
  Throws:
    java.sql.SQLException -

### getInsertStatement

    java.lang.String getInsertStatement(java.lang.Object[] row)
                                  throws java.sql.SQLException

  Method declaration
  Parameters:
    `row` -
  Returns:
  Throws:
    java.sql.SQLException -

### isCached

    boolean isCached()

  Method declaration
  Returns:

### getIndex

    Index getIndex(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### getColumn

    Column getColumn(int i)

  Method declaration
  Parameters:
    `i` -
  Returns:

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD